per chat history odd behavior with /commands
03/03/2010 10:27 PM - nirik

Status: Resolved Start date: 03/03/2010
Assignee: MarcLandis % Done: 90%
Category: Estimated time: 0.00 hour
Target version: 0.6.0

Version: 0.6-pre 0S: Any
Description

When enabling the per-chat history in 0.6.0rc1, | see an odd behavior.

Switch to a channel, type /me whatever.
It sends it to the channel as if it was quoted. le, you see "/me whatever" in the chanel litterally.

After that first time it seems to behave fine.

So, there seems to be a bug where it's not seeing /commands the first time you do something in a channel or when switching around.
I will try and see if there are any other cases. Thanks for implementing per-chat history! ;)

History

#1 - 03/03/2010 11:03 PM - nirik

Additionally, folks with other clients are reporting odd characters in my output:
16:51:31 nirik | Jok, thats just bizzare. ]

16:53:46 nirik | Jhuh? ]

16:54:40 nirik | Jah ha. ]

it's putting ] ] around my output. ;(

#2 - 03/04/2010 12:38 PM - MarcLandis

- Status changed from New to Feedback

| am not able to reproduce this. What build do you use and what OS?

#3 - 03/04/2010 05:45 PM - nirik

I'm using a self built rom with Fedora 12.

It's using the 0.6.0-rc1 tar.gz

| can try and isolate it more today... perhaps it's related to another setting?
Will do some more testing and get back to you.

#4 - 03/04/2010 06:39 PM - johu

- Assignee set to MarcLandlis

- Target version set to 0.6.0

#5 - 03/04/2010 06:40 PM - nirik

ok. More news here, just did some testing.

The core of the problem seems to be that | had a italic font set for my input widget, this causes it sometimes to send ] and confuse things.
To duplucate:

- Go to configure -> input widget -> custom font. Check the box and set it to a font thats 'italic' and apply.

- Go to a channel and type something, but don't hit return.
- Go to another channel and first thing type '/me actions' in input and hit return. | think it's sending //me actions]' For just that line. It then goes back to
normal in that chat.

So, the workaround is: don't do bold/italic custom fonts in input.
But it seems like it's somehow picking that up after a change and sending it out.

Can you see it based on that?

#6 - 03/05/2010 02:16 PM - MarcLandis

- Status changed from Feedback to Resolved
- Target version changed from 0.6.0 to 0.7.0
- % Done changed from 0 to 90

http://gitorious.org/quassel/quassel/merge_requests/65

#7 - 03/05/2010 02:56 PM - MarcLandis
- Target version changed from 0.7.0 to 0.6.0
